List shadow evaluations
GET
/api/v1/ai/evaluations
const url = 'https://api.ultimateteam.ai/api/v1/ai/evaluations';const options = {method: 'GET', headers: {'X-API-Key': '<X-API-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.ultimateteam.ai/api/v1/ai/evaluations \ --header 'X-API-Key: <X-API-Key>'List shadow evaluation results for tenant.
Filterable by agent_role and task_type.
Args: agent_role: Optional filter by agent role. task_type: Optional filter by task type. user: Authenticated user context.
Returns: List of shadow evaluation results.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters”Responses
Section titled “ Responses ”Successful Response
Media typeapplication/json
Response List Evaluations Api V1 Ai Evaluations Get
Array<object>
ShadowEvaluationResponseResponse from a completed shadow evaluation.
object
agent_role
required
Agent Role
string
cost_breakdown
required
Cost Breakdown
object
key
additional properties
any
evaluated_at
required
Evaluated At
string format: date-time
id
required
Id
string format: uuid
provider_scores
required
Provider Scores
object
key
additional properties
any
task_type
required
Task Type
string
tenant_id
required
Tenant Id
string format: uuid
Examplegenerated
[ { "agent_role": "example", "cost_breakdown": {}, "evaluated_at": "2026-04-15T12:00:00Z", "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "provider_scores": {}, "task_type": "example", "tenant_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "winner_provider": "example" }]Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}